Model Upload
The model upload resource.
Basehttps://rest.carbon.ms/modelUpload
GET
/modelUploadList model uploads
Retrieve a paginated list of model uploads. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/modelUpload
curl --request GET \
--url 'https://rest.carbon.ms/modelUpload?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"name": "Example",
"modelPath": "string",
"companyId": "xyz789",
"createdBy": "string",
"size": 0,
"autodeskUrn": "string",
"createdAt": "2026-01-01T00:00:00Z"
}
]GET
/modelUploadRetrieve a model upload
Fetch a single model upload by filtering on `id`.
Query parameters
idstringMatch on the model upload's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/modelUpload
curl --request GET \
--url 'https://rest.carbon.ms/modelUpload?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"name": "Example",
"modelPath": "string",
"companyId": "xyz789",
"createdBy": "string",
"size": 0,
"autodeskUrn": "string",
"createdAt": "2026-01-01T00:00:00Z"
}POST
/modelUploadCreate a model upload
Create a new model upload.
Body parameters
namestringsizenumbermodelPathstringrequiredautodeskUrnstringcompanyIdstringrequiredReferences company.id
thumbnailPathstringPOSThttps://rest.carbon.ms/modelUpload
curl --request POST \
--url https://rest.carbon.ms/modelUpload \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"name":"Example","modelPath":"string","companyId":"xyz789"}'Response
{
"id": "abc123def456",
"name": "Example",
"modelPath": "string",
"companyId": "xyz789",
"createdBy": "string",
"size": 0,
"autodeskUrn": "string",
"createdAt": "2026-01-01T00:00:00Z"
}PATCH
/modelUploadUpdate a model upload
Update an existing model upload, matched on `id`.
Body parameters
namestringsizenumbermodelPathstringrequiredautodeskUrnstringcompanyIdstringrequiredReferences company.id
thumbnailPathstringPATCHhttps://rest.carbon.ms/modelUpload
curl --request PATCH \
--url 'https://rest.carbon.ms/modelUpload?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"name":"Example"}'Response
{
"id": "abc123def456",
"name": "Example",
"modelPath": "string",
"companyId": "xyz789",
"createdBy": "string",
"size": 0,
"autodeskUrn": "string",
"createdAt": "2026-01-01T00:00:00Z"
}DELETE
/modelUploadDelete a model upload
Delete a model upload, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the model upload to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/modelUpload
curl --request DELETE \
--url 'https://rest.carbon.ms/modelUpload?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content